# Config

```lua
TZMCPearlsConfig = {}

--[[

    INSTALLATION

    If you're having issues please contact hello@tzmc.dev and we can help out. 

    -- QB INVENTORY LABELS (THIS IS ONLY APPLICABLE IF YOU'RE USING LEGACY QBCORE) --

        1. Navigate to ..[qb]\qb-inventory\server\main.lua
        2. Navigate to around line 632 just below the if statement "if other then"
        3. Underneath that if statement, paste the following text

            if other.label == nil then
                secondInv.label = "Stash-"..id
            else
                secondInv.label = other.label
            end
        
        4. Once pasted, delete the duplicate "secondInv.name = "stash-"..id" that is underneath the if statement you just pasted. 
        5. You're done, it should look like this. https://ibb.co/31pXjWL

    -- nh-context --

        This script requires nh-context which you can install here: https://github.com/nighmares/nh-context

    -- QB ITEMS --

        1.  Navigate to .../[qb]/qb-core/shared/items.lua
        2.  Scroll to the bottom of the item list and paste the following text - https://pastebin.com/4XUJAWuK
        3.  Once added, navigate to .../[qb]/qb-inventory/html/images/ - Paste the following pictures into the images folder https://drive.google.com/file/d/1ZwrlXQUBoijtT6Oa2h42YYM8hS5di3sZ/view?usp=sharing
        4.  You are now done.

     -- ADD ITEMS TO CONSUMABLE QB --
            
        If you're using legacy QBCore, skip to step 3 :) 

        1.  Navigate to .../[qb]/qb-smallresources/server/consumables.lua
        2.  Paste the following text underneath line 1 - https://pastebin.com/wyH5Hn5C
        3.  Once added, head over to .../[qb]/qb-smallresources/config.lua 
        4.  Within the 'Consumables' section, paste the following text at the bottom of the table.

            ["steamedmussels"] = math.random(30, 40),
            ["clamchowder"] = math.random(50, 60),
            ["friedcalamari"] = math.random(40, 50),
            ["fishandchips"] = math.random(50, 60),
            ["grilledsalmon"] = math.random(60, 70),
            ["grilledshrimpskewers"] = math.random(40, 50),

            These just set a random value to increase the hunger or thirst amount for each item. You can set these to whatever you'd like if you would like certain items to quench thirst quicker. 
            
        5.  You are now done    

    -- ADD JOB TO QB --

        1. Navigate to ..[qb]/qb-core/shared/jobs.lua
        2. Head to the bottom of the file and add the following text - https://pastebin.com/g1Q3RA6p - It should look like this https://ibb.co/LQM5PRr.
        3. Once added, navigate to ...[qb]/qb-phone/server/main.lua
        4. Navigate to QBCore.Commands.Add('bill'... around line 1065
        5. Replace the first if statement condition with the following text - ... or biller.PlayerData.job.name == 'catcafe' - It should look like this https://ibb.co/RQHHYH8

]]

-- QBCore --

TZMCPearlsConfig.UsingLegacyQBCore = false -- If you're using an older version of QB core, giving items is slightly different. However, if you are on a recent version feel free to leave this false.

-- MENU ITEMS --

TZMCPearlsConfig.HobItems = {
    { 
        name = "Steamed Mussels",
        context = "Mussels, Garlic, Butter",
        itemName = "steamedmussels",
        disabled = false,
        image = "https://i.ibb.co/6BMBTFP/steamedmussels.png",
        itemsRequired = {
            ["mussels"] = 1,
            ["garlic"] = 1,
            ["butter"] = 1,
        },
    },
    { 
        name = "Clam Chowder",
        context = "Clams, Potatoes, Cream, Onion",
        itemName = "clamchowder",
        disabled = false,
        image = "https://i.ibb.co/xzs62qZ/clamchowder.png",
        itemsRequired = {
            ["clams"] = 1,
            ["potatoes"] = 1,
            ["cream"] = 1,
            ["onion"] = 1,
        },
    }
}

TZMCPearlsConfig.FryerItems = {
    { 
        name = "Fried Calamari",
        context = "Calamari, Flour, Cooking Oil, Lemon",
        itemName = "friedcalamari",
        disabled = false,
        image = "https://i.ibb.co/2s8DXGh/friedcalamari.png",
        itemsRequired = {
            ["calamari"] = 1,
            ["flour"] = 1,
            ["cookingoil"] = 1,
            ["lemon"] = 1,
        },
    },
    { 
        name = "Fish and Chips",
        context = "Fish Fillets, Potatoes, Flour, Cooking Oil",
        itemName = "fishandchips",
        disabled = false,
        image = "https://i.ibb.co/1fr7BMf/fishandchips.png",
        itemsRequired = {
            ["fishfillets"] = 1,
            ["potatoes"] = 1,
            ["flour"] = 1,
            ["cookingoil"] = 1,
        },
    }
}

TZMCPearlsConfig.GrillItems = {
    { 
        name = "Grilled Salmon",
        context = "Salmon Fillet, Olive Oil, Lemon, Herbs",
        itemName = "grilledsalmon",
        disabled = false,
        image = "https://i.ibb.co/HCDm5jW/grilledsalmon.png",
        itemsRequired = {
            ["salmonfillet"] = 1,
            ["oliveoil"] = 1,
            ["lemon"] = 1,
            ["herbs"] = 1,
        },
    },
    { 
        name = "Grilled Shrimp Skewers",
        context = "Shrimp, Olive Oil, Garlic, Herbs",
        itemName = "grilledshrimpskewers",
        disabled = false,
        image = "https://i.ibb.co/tCrZR93/grilledshrimpskewers.png",
        itemsRequired = {
            ["shrimp"] = 1,
            ["oliveoil"] = 1,
            ["garlic"] = 1,
            ["herbs"] = 1,
        },
    }
}

TZMCPearlsConfig.DrinkDispenserItems = {
    { 
        name = "Water",
        context = "Simple",
        itemName = "water_bottle",
        disabled = false,
        image = "https://pngimg.com/d/water_bottle_PNG98959.png",
        itemsRequired = {
            ["emptycup"] = 1
        },
    },
    { 
        name = "Coffee",
        context = "Pump 4 Caffeine",
        itemName = "coffee",
        disabled = false,
        image = "https://static.vecteezy.com/system/resources/previews/029/283/233/non_2x/coffee-coffee-coffee-clipart-transparent-background-ai-generative-free-png.png",
        itemsRequired = {
            ["emptycup"] = 1
        },
    },
    { 
        name = "Kurka Kola",
        context = "Deliciously infectious!",
        itemName = "kurkakola",
        disabled = false,
        image = "https://static.wikia.nocookie.net/gtawiki/images/9/94/E-Cola-logo.png",
        itemsRequired = {
            ["emptycup"] = 1
        },
    }
}
-- TARGET --

TZMCPearlsConfig.OpenText = "Open"
TZMCPearlsConfig.CollectCupText = "Collect Cup"
TZMCPearlsConfig.DrinkDispenseText = "Make a Drink"
TZMCPearlsConfig.GrillText = "Cook"
TZMCPearlsConfig.FryerText = "Fry"
TZMCPearlsConfig.HobText = "Cook"
TZMCPearlsConfig.BossLoginText = "Login"
TZMCPearlsConfig.LockerText = "Change Outfit"
TZMCPearlsConfig.OnOffDutyText = "On/Off Duty"

TZMCPearlsConfig.CounterIcon = "fa-solid fa-shrimp"
TZMCPearlsConfig.CupIcon = "fa-solid fa-mug-hot"
TZMCPearlsConfig.DrinkDispenseIcon = "fa-solid fa-beer-mug-empty"
TZMCPearlsConfig.GrillIcon = "fa-solid fa-fire-burner"
TZMCPearlsConfig.HobIcon = "fa-solid fa-fire-burner"
TZMCPearlsConfig.FryerIcon = "fa-solid fa-temperature-high"
TZMCPearlsConfig.BossLoginIcon = "fa-solid fa-briefcase"
TZMCPearlsConfig.LockerIcon = "fa-solid fa-shirt"
TZMCPearlsConfig.OnOffDutyIcon = "fa-solid fa-clipboard"


-- STASH CONFIG --

TZMCPearlsConfig.ItemCollectionStashName = "Counter"
TZMCPearlsConfig.ItemCollectionStashConfig = {
    weight = 5000,
    slots = 5
}

TZMCPearlsConfig.TableStashName = "Table"
TZMCPearlsConfig.TableStashConfig = {
    weight = 5000,
    slots = 5
}

TZMCPearlsConfig.SmallFridgeStashName = "Fridge"
TZMCPearlsConfig.SmallFridgeStashConfig = {
    weight = 25000,
    slots = 25
}

TZMCPearlsConfig.FreezerStashName = "Freezer"
TZMCPearlsConfig.FreezerStashConfig = {
    weight = 50000,
    slots = 50
}


TZMCPearlsConfig.FoodPassStashName = "Food Pass"
TZMCPearlsConfig.FoodPassStashConfig = {
    weight = 25000,
    slots = 25
}

-- PROGRESS BAR --

TZMCPearlsConfig.MakingDrink = "Making Drink"
TZMCPearlsConfig.DrinkProgressBarTime = 7

TZMCPearlsConfig.Cooking = "Cooking"
TZMCPearlsConfig.CookingTime = 7

-- NOTIFICATIONS --

TZMCPearlsConfig.UseQBNotify = true
TZMCPearlsConfig.NotificationEvent = "" -- If you're using your own notification system, enter the event here. If you leave this blank and set QBNotify to false this will use the FiveM chat to notify the player. The parameters are (text, status) Status can be either 'success' or 'error'.

TZMCPearlsConfig.SuccessTitle = 'Success'
TZMCPearlsConfig.ErrorTitle = 'Error'
TZMCPearlsConfig.NoItems = "Seems that you don't have enough items to craft this."
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tzmc.dev/docs/qb-core/pearls-seafood-restaurant-job/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
